# Docker Container Resources

| App                  | cpus (min - max) | memory (min - max) |
| -------------------- | ---------------- | ------------------ |
| React + Nginx        | .1 - .2          | 5m - 50m           |
| React + Nextjs       | .2 - .4          | 50m - 90m          |
| Nestjs               | .2 - .4          | 50m - 80m          |
| Nestjs (High)        | .4 - .8          | 150m - 500m        |
| Nestjs (Adv)         | .5 - .9          | 300m - 1500m       |
| Spring Boot (Basic)  | .2 - .5          | 250m - 500m        |
| Spring Boot (Normal) | .3 - .6          | 800m - 1200m       |
| Spring Boot (High)   | .5 - .8          | 1000m - 3000m      |
| Spring Boot (Adv)    | .9 - 1           | 1500m - 4000m      |


#### Run Container
```shell
docker run --cpus=".1" --memory="5m" -p 80:80 myreactapp:latest
```